<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>tofly-parent</artifactId>
        <groupId>com.tofly</groupId>
        <version>1.0.0</version>
              <relativePath/>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>tofly-auth</artifactId>
    <packaging>jar</packaging>
    <version>1.0.0</version>

    <dependencies>

        <!--<dependency>-->
            <!--<groupId>com.tofly</groupId>-->
            <!--<artifactId>common-core</artifactId>-->
            <!--<version>1.0.0</version>-->
        <!--</dependency>-->
        <dependency>
            <groupId>com.tofly</groupId>
            <artifactId>common-oauth</artifactId>
            <version>1.0.3</version>
        </dependency>
        <dependency>
            <groupId>com.tofly</groupId>
            <artifactId>common-redis</artifactId>
            <version>1.0.3</version>
        </dependency>
        <dependency>
            <groupId>com.tofly</groupId>
            <artifactId>common-entity</artifactId>
            <version>1.0.3</version>
        </dependency>
        <dependency>
            <groupId>com.tofly</groupId>
            <artifactId>common-log</artifactId>
            <version>1.0.3</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-netflix-hystrix</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tofly</groupId>
            <artifactId>common-baseapi</artifactId>
            <version>1.0.3</version>
            <scope>compile</scope>
        </dependency>


        <!--<dependency>-->
            <!--<groupId>com.tofly</groupId>-->
            <!--<artifactId>common-entity</artifactId>-->
            <!--<version>1.0.0</version>-->
        <!--</dependency>-->
        <!--&lt;!&ndash;undertow容器&ndash;&gt;-->
        <!--<dependency>-->
            <!--<groupId>org.springframework.boot</groupId>-->
            <!--<artifactId>spring-boot-starter-undertow</artifactId>-->
        <!--</dependency>-->

        <!--&lt;!&ndash;spring security 、oauth、jwt依赖&ndash;&gt;-->
        <!--<dependency>-->
            <!--<groupId>org.springframework.cloud</groupId>-->
            <!--<artifactId>spring-cloud-starter-security</artifactId>-->
            <!--<exclusions>-->
                <!--&lt;!&ndash;旧版本 redis操作有问题&ndash;&gt;-->
                <!--<exclusion>-->
                    <!--<artifactId>spring-security-oauth2</artifactId>-->
                    <!--<groupId>org.springframework.security.oauth</groupId>-->
                <!--</exclusion>-->
            <!--</exclusions>-->
        <!--</dependency>-->
        <!--<dependency>-->
            <!--<groupId>org.springframework.security.oauth</groupId>-->
            <!--<artifactId>spring-security-oauth2</artifactId>-->
        <!--</dependency>-->

        <!--JDBC相关-->
        <!--<dependency>-->
            <!--<groupId>org.springframework.boot</groupId>-->
            <!--<artifactId>spring-boot-starter-jdbc</artifactId>-->
        <!--</dependency>-->
    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>